version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: dc057374cf6c8749fb27687999b5bf952cc49b885a528d2ca94b3b4639ddaf53, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
